#include <stdio.h>

int main(void) {

    char str1[] = "carro";
    char str2[] = "bola";
    char str3[] = "peteca";

    char *lista[] = {str1, str2, str3};

    char *pstr1 = str1;
    char **plista = lista;

    printf("str1     -> %p = %s\n", str1, str1);
    printf("str2     -> %p = %s\n", str2, str2);
    printf("str3     -> %p = %s\n", str3, str3);
    
    printf("lista[2] -> %p = %p\n", &lista[2], lista[2]);
    printf("lista[1] -> %p = %p\n", &lista[1], lista[1]);
    printf("lista[0] -> %p = %p\n", &lista[0], lista[0]);
    
    printf("*pstr1   -> %p = %p\n", &pstr1, pstr1);
    printf("**plista -> %p = %p\n", &plista, plista);
    
}
